Skip to main content
GET
/
bank_accounts
List bank accounts
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/bank_accounts \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "bank_account",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "institution_number": "320",
        "institution_name": "President's Choice Bank",
        "institution_name_translations": {
          "en": "President's Choice Bank",
          "fr": "Banque le Choix du Président"
        },
        "institution_name_translated": "President's Choice Bank",
        "transit_number": "02002",
        "transit_address": "600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9",
        "account_number_last_3": "916",
        "is_primary": false,
        "is_deletable": true,
        "warnings": {
          "object": "list",
          "data": []
        },
        "is_pad_signed": false,
        "pad_signer_name": null,
        "pad_signer_email": null,
        "pad_signer_title": null,
        "pad_signed_at": null,
        "pad_file": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/bank_accounts/<id>"
      }
    }
  ],
  "links": {
    "first": "/bank_accounts?business_entity_id=<id>&page=1",
    "last": "/bank_accounts?business_entity_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

employee_id
string
contractor_id
string
business_entity_id
string
expand
enum<string>[]
Available options:
business_entity,
contractor,
employee

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]